Subject: Re: [RFC PATCH] Make the rebase edit mode really end up in an edit state

From: Johannes Sixt <[email-masked]>
Date: Thu, 15 Jan 2009 08:35:43 +0100

Johannes Schindelin schrieb:
> On Thu, 15 Jan 2009, Anders Melchiorsen wrote:
>> Previously, the interactive rebase edit mode placed the user after the 
>> commit in question. That was awkward because a commit is supposedly 
>> immutable. Thus, she was forced to use "git commit --amend" for her 
>> changes.
> 
> Maybe, maybe not.  I frequently rebase with "edit" when I actually mean 
> "stop" (but "s" was taken from "squash" already).  Then I test things, 
> possibly fixing them.
> 
> So in that case, I do not want a git reset --soft HEAD^.

Absolutely! I use "edit" for this purpose as well quite frequently.

-- Hannes